cURL
curl https://api.aiql.io/connections/{id} \
-H "Authorization: Bearer $AIQL_API_KEY"{
"id": "<string>",
"connector_type": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"credential_id": "<string>",
"config": {},
"change_token": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
Get Connection
GET
/
connections
/
{id}
cURL
curl https://api.aiql.io/connections/{id} \
-H "Authorization: Bearer $AIQL_API_KEY"{
"id": "<string>",
"connector_type": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"credential_id": "<string>",
"config": {},
"change_token": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Response
Successful Response
Unique identifier of the connection.
Connector type this connection uses.
Display name of the connection.
Workspace the connection belongs to.
ID of the credential attached to this connection.
Connector-specific configuration for this connection.
Opaque cursor used for incremental sync.
When the connection last completed a sync.
When the connection was created.